Jump to content



Photo

Make your own WFRP3 cards: Strange Eons version 3 released


  • Please log in to reply
48 replies to this topic

#21 DurakBlackaxe

DurakBlackaxe

    Member

  • Members
  • 306 posts

Posted 02 March 2013 - 09:49 AM

paulsk said:

Great tool! One question:

For an Action Card, for example, is there a way to remove or shrink the space allocated for a portrait and shift the Requisite and Description fields up to allow a larger Description field to fir on the card (to fit more text)?

 

I have given up on converting it to 3.0 just too many issues with the code.  Needs a real code overhaul.

The portrait page should have a clickable on the side to let you do that.

 

the text you need to change the code to fix that issue



#22 paulsk

paulsk

    Member

  • Members
  • 10 posts

Posted 02 March 2013 - 11:54 AM

Thanks for the reply. I've installed the the version 2 and now have plenty of text space to work with.



#23 Hurlanc

Hurlanc

    Member

  • Members
  • 141 posts

Posted 10 March 2013 - 01:51 AM

hi guys, 

just a quick post to apologize to let you down on the Strange Eons stuff.

moved, changed job, house, lot of work :(

hopefully I'll be back at some point but.. not now

 

Hurlanc



#24 Emirikol

Emirikol

    ~Ĉiam subskribi antaŭ-nup kun Fimir

  • Members
  • 5,102 posts

Posted 10 March 2013 - 04:16 AM

Hurlanc, when you get back to life, it will be welcome.  Till then, we'll just keep going wiht V2 :)

 

Does everyone here have all three of the v2 extensions?  Do we have a general download link for those?

 

 

jh



#25 USP45

USP45

    Member

  • Members
  • 56 posts

Posted 23 July 2013 - 11:59 AM

Hi folks -

 

I just discovered this Strange Eons thing and it's pretty great!

 

Just wanted to see what everyone's doing in regards to WFRP3 cards.  Is the current way to go for Strange Eons and WFRP3 to:

 

- use Strange Eons v.2 from the legacy link (which includes a WFRP3 plug-in)

- (and if so did anyone install the java patch links located there?  I did not, and things seem to be working ok.)

- optionally use the add-ons at http://www.liberfanatica.net/ -- LiberFanatica.seext and wfrp3_adds.seext



#26 Thelric

Thelric

    Member

  • Members
  • 251 posts

Posted 08 September 2013 - 02:45 PM

Just an FYI for anyone who picks up this project. This is why you can set a version number on the component. For example, diy.version = 1; diy.version = 2, and so on. Whenever you add new features that won't be in old save files, increase the version number. Then, add some code to the onRead function that checks the version number and, if it is an older version, creates default values for the new features. For example:

function create( diy ) {
    diy.version = 3;
    // the current version
}

function onRead( diy, objectInputStream ) {
    if( diy.version < 2 ) {
        $newFeatureAddedInVersion2 = 'default value for this feature';
    }
    if( diy.version < 3 ) {
        $firstNewFeatureAddedInVersion3 = 'the default for this feature';
        $secondNewFeatureAddedInVersion3 = 'and the default for this one';
        // since we added defaults for all the new stuff, this card is now
        // version 3 (the current version); if we don't change this, then
        // the default values will keep getting set when the file is opened
        diy.version = 3;
    }
}

Okay now for another puzzlement.

I am now using my laptop with the files I had working on Friday, before i copied them to my home computer and uploaded to google docs.

As you know the home computer execution of Strange eons 3 and the files gives error when you open the saved file.

The problem I have is this, the laptop files give no errors at all. I can save, i can reopen those saves.  There are no mission tabs.

 

Solutions

1. The seext files when copied over were corrupted somehow.

2. My strange eons on the laptop works better than the one on my desktop. Its 3550a. Minimum addons.

3. Tzeentch is real.

 

I will try copying the files over again tonight when finished work.  Since the error happened from copying via usb drive, will see where the error happened.


Edited by Thelric, 19 September 2013 - 03:37 AM.

  • Emirikol likes this

#27 HopefulHammerer

HopefulHammerer

    Member

  • Members
  • 23 posts

Posted 18 January 2014 - 03:31 PM

Time for a bit of thread necromancy (apologies to Morr for disturbing the rest of some)...

 

I see a new version of Strange Eons 3 has been released (release date shows January 18, 2014 and the build number is b3744). Any chance of revisiting some of the WFRP3 plugins?



#28 Emirikol

Emirikol

    ~Ĉiam subskribi antaŭ-nup kun Fimir

  • Members
  • 5,102 posts

Posted 25 February 2014 - 10:38 AM

NOTICE:  February/ 25/ 2014  

Strange Eons version 2    WFRP  stuff on the Liber Fanatica website does not have all of the original material, including the character sheet.

 

You can uninstall the "Liber Fanatica" plug-in on Strange Eons2 entitled Liber Fanatica and install this one to get it to work.   

wfrp3_adds

 

https://dl.dropboxus... Fanatica 7.zip

 

 

If any of you have any trouble using Strange Eons (version 2) for this stuff let me know.  I'm not a programmer, but I can help you out :)

 

jh


Edited by Emirikol, 25 February 2014 - 10:40 AM.


#29 Banemus

Banemus

    Member

  • Members
  • 67 posts

Posted 26 February 2014 - 07:36 AM

ok so i have eons 3, i have double clicked wfrp3_adds. And when i open eons i just get errors and when i try to open action card thing i just get more errors.



#30 DurakBlackaxe

DurakBlackaxe

    Member

  • Members
  • 306 posts

Posted 26 February 2014 - 09:07 AM

Yep its why I still use Strange Eons 2, not STrange Eons 3.

Strange EONS 2 works



#31 Banemus

Banemus

    Member

  • Members
  • 67 posts

Posted 26 February 2014 - 09:36 AM

nvm


Edited by Banemus, 26 February 2014 - 09:44 AM.


#32 ahadabans

ahadabans

    Member

  • Members
  • 10 posts

Posted 26 February 2014 - 07:41 PM

This is a great tool.  Thank you to everyone that made this a reality.  



#33 Emirikol

Emirikol

    ~Ĉiam subskribi antaŭ-nup kun Fimir

  • Members
  • 5,102 posts

Posted 27 February 2014 - 09:26 AM

If any of you know any coding whatsoever and just extract the code from any of the missing components and update it to the version 3, we're good..otherwise, we're still using Version 2 (recall that the Liber fanatica upload disables the earlier Liber fanatica "wfrp3_adds" for some reason).

 

 

jh


Edited by Emirikol, 27 February 2014 - 09:33 AM.


#34 Aknorian

Aknorian

    Member

  • Members
  • 13 posts

Posted 07 April 2014 - 01:19 PM

hey guys

 

After creating a card with strange eons, where should you save it to have access to it later? Can the program see it where ever? or does it have to be in a certain folder?  using a mac.



#35 Emirikol

Emirikol

    ~Ĉiam subskribi antaŭ-nup kun Fimir

  • Members
  • 5,102 posts

Posted 07 April 2014 - 06:42 PM

It shouldn't matter where you save it.



#36 paperbard

paperbard

    Member

  • Members
  • 15 posts

Posted 30 April 2014 - 07:43 AM

I admit I am thoroughly confused about this. Is there a definitive installation guide, which Strange Eons version to use (legacy 2.0 or this new 3.0).

 

Also how do you install the plugins? I downloaded the zip file with the warhammer files, but if I double click them and install I get java errors when I start the software, on either version.



#37 Thindaraiel

Thindaraiel

    Member

  • Members
  • 18 posts

Posted 30 April 2014 - 07:13 PM

OK guys, just be patient, I'm working on a new version of the plugin for Strange Eons 3. No bug, no error message, and every template from LF7 to LF9. I just have some little issues to correct and this should be done.

 

More over, this will be a multilanguage version (english, french, and ready for any other translation), which may interest many other GMs.

 

I'll keep you informed once iti s done !


  • Emirikol, Eradico Pravus and Mexorlon like this

#38 paperbard

paperbard

    Member

  • Members
  • 15 posts

Posted 30 April 2014 - 11:01 PM

Awesome, thanks. I'm working on converting 'Through the Drakwald' and the Damnation trilogy to wfrp 3e. Being able to make cool npc cards would be great.



#39 DrWorm73

DrWorm73

    Member

  • Members
  • 51 posts

Posted 09 June 2014 - 08:09 PM

 I don't suppose anyone has made a pet template for either version, have they?



#40 Emirikol

Emirikol

    ~Ĉiam subskribi antaŭ-nup kun Fimir

  • Members
  • 5,102 posts

Posted 09 June 2014 - 08:27 PM

Best to use a blank version from Liber Fanatica 7 .seext version (Strange Eons version 1 or 2..current version doesn't work with the old stuff).






© 2013 Fantasy Flight Publishing, Inc. Fantasy Flight Games and the FFG logo are ® of Fantasy Flight Publishing, Inc.  All rights reserved.
Privacy Policy | Terms of Use | Contact | User Support | Rules Questions | Help | RSS